import java.net.URL;
import java.util.Map;

import com.sun.security.ntlm.Server;
import org.infinispan.client.hotrod.CacheTopologyInfo;
import org.infinispan.client.hotrod.RemoteCache;
import org.infinispan.client.hotrod.RemoteCacheManager;
import org.infinispan.client.hotrod.ServerStatistics;
import org.infinispan.commons.marshall.UTF8StringMarshaller;
import org.infinispan.client.hotrod.configuration.Configuration;
import org.infinispan.client.hotrod.configuration.ConfigurationBuilder;

/**
 *
 */
public class HotrodClient {
    public static void main(String[] args)  {

        try {
          //  URL resource = Thread.currentThread().getContextClassLoader()
          //          .getResource("hotrod-client.properties");
            //RemoteCacheManager cacheContainer = new RemoteCacheManager(true);

            RemoteCacheManager cacheContainer = new RemoteCacheManager(new ConfigurationBuilder().marshaller(new UTF8StringMarshaller()).addServers("192.168.11.237:11222").build());


            //obtain a handle to the remote default cache
            RemoteCache cache = cacheContainer.getCache("default");

            //now add something to the cache and make sure it is there
            //cache.put("car", "Tesla");

            System.out.println("Value: "+cache.get("car"));


            if (cache.get("car").equals("Tesla")) {
                System.out.println("Cache Hit!");
            } else {
                System.out.println("Cache Miss!");
            }


            ServerStatistics stats = cache.stats();
            for (Map.Entry stat : stats.getStatsMap().entrySet()) {
                System.out.println(stat.getKey() + " : " + stat.getValue());
            }



            //remove the data
            //cache.remove("car");

            //cacheContainer.stop();

        } catch (Exception e) {
            System.out.println(e.getMessage());
        }
    }
}
